body {
    background: #222 50% url("../img/ressources/background.svg") repeat;
    color: #aeaeae;
    font-family: sans-serif;
}

main {
    width: 95%;
    margin: 0.5rem auto;
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 0.5rem;
    grid-template-rows: 5rem 3rem 1fr 2.5rem;
    grid-template-areas: "header" "toolbar" "content" "footer";
}

.alerts {
    color: #eeeeee;
    position: fixed;
    top: 0.5rem;
    left: 2rem;
    right: 2rem;
    text-align: center;
    padding: 1rem;
    border-radius: 0.5rem;
}

$alert-table: (
        danger:#500,
        warning:#550,
        success:#050,
        info:#005
);

@each $key, $value in $alert-table {
    .alert-#{$key} {
        background-color: rgba($value, 0.75);
        box-shadow: 0 0 1rem rgba($value, 0.8);
        @extend .alerts;
    }
}

$table: (
        (name:header, color:#467, number:1),
        (name:toolbar, color:#689, number:2),
        (name:content, color:#689, number:3),
        (name:footer, color:#467, number:4),
);

.items {
    background-color: #333;
    padding: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: wrap;
}

@each $item in $table {
    .item-0#{map-get($item, number)} {
        border-bottom: 0.1rem solid map-get($item, color);
        box-shadow: 0 0 0.2rem map-get($item, color);
        grid-area: map-get($item, name);
        @extend .items;
    }
}

.item-01 {
    border-radius: 0.5rem 0.5rem 0 0;
}

.item-02 {
    nav {
        width: 100%;
        display: flex;
        justify-content: space-around;
        flex-flow: wrap;

        a {
            color: #aeaeaa;
            text-decoration: none;

            &:hover {
                color: #efefef;
                text-decoration: underline;
            }
        }
    }
}

.item-03 {
    flex-flow: column;

    hr {
        width: 50%;
    }

    .header-template {
        color: #abc;
        padding: 0.5rem;
        border-radius: 0.2rem;
        background-color: #444;
        border-top: 0.1rem solid #678;
        border-bottom: 0.1rem solid #678;
    }

    .button-template {
        @extend .header-template;


        &:hover, &:focus {
            cursor: pointer;
            color: #cde;
            background-color: #666;
        }
    }

    a {
        text-decoration: none;
        @extend .button-template;
    }

    .gest_profil {
        margin-bottom: 0.5rem;
        width: 10rem;
        display: flex;
        justify-content: space-around;
    }

    .error {
        span {
            color: #f66;
        }

        .error_404 {
            font-size: 5rem;
            text-align: center;
            padding: 0;
        }
    }

    table {
        width: 90%;

        thead {
            tr {
                th {
                    @extend .header-template;
                }
            }
        }

        tbody {
            tr {
                td {
                    padding: 0.4rem 1rem;
                    border-bottom: 0.1rem solid #678;

                    img {
                        max-width: 7rem;
                        max-height: 7rem;
                        border-radius: 2rem;
                    }
                }
            }

            tr:nth-child(even) {
                background-color: #222222;
            }

            tr:last-child {
                td {
                    border: none;
                }
            }
        }
    }

    form {
        input, label.photo {
            padding: 0.3rem;
            margin: 0.3rem;
            border-radius: 0.3rem;
            border: none;
        }

        fieldset {
            border: none;
            padding: 0.5rem;
            margin: 0.5rem;

            legend {
                @extend .header-template;
            }
        }

        input[type='submit'], input[type='submit'], input[type='file'] {
            @extend .button-template;
        }
    }
}

.item-04 {
    border-radius: 0 0 0.5rem 0.5rem;
    justify-content: flex-end;
}

@media screen and (min-width: 800px) {
    main {
        grid-template-columns: 1fr 6fr 1fr;
        grid-template-areas: "header header header" ". toolbar ." ". content ." "footer footer footer";
    }
    .item-01, .item-04 {
        border-radius: 0.5rem;
    }
}